Changeset 585


Ignore:
Timestamp:
Mar 25, 2007 9:47:54 PM (12 years ago)
Author:
ladanyi
Message:

updated the configure script to the latest BuildTools?

File:
1 edited

Legend:

Unmodified
Added
Removed
  • branches/devel/Cbc/configure

    r569 r585  
    51065106
    51075107
    5108 unset ac_cv_file__________libtool
    5109 unset ac_cv_file_______libtool
    5110 unset ac_cv_file____libtool
    5111 
    51125108LIBTOOL=
    5113 echo "$as_me:$LINENO: checking for ../libtool" >&5
    5114 echo $ECHO_N "checking for ../libtool... $ECHO_C" >&6
    5115 if test "${ac_cv_file____libtool+set}" = set; then
    5116   echo $ECHO_N "(cached) $ECHO_C" >&6
    5117 else
    5118   test "$cross_compiling" = yes &&
    5119   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5120 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5121    { (exit 1); exit 1; }; }
    5122 if test -r "../libtool"; then
    5123   ac_cv_file____libtool=yes
    5124 else
    5125   ac_cv_file____libtool=no
    5126 fi
    5127 fi
    5128 echo "$as_me:$LINENO: result: $ac_cv_file____libtool" >&5
    5129 echo "${ECHO_T}$ac_cv_file____libtool" >&6
    5130 if test $ac_cv_file____libtool = yes; then
     5109if test -r ../libtool; then
    51315110  coin_config_dir=..
    5132                LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    5133 fi
    5134 
     5111  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
     5112fi
    51355113if test "x$LIBTOOL" = x; then
    5136   echo "$as_me:$LINENO: checking for ../../libtool" >&5
    5137 echo $ECHO_N "checking for ../../libtool... $ECHO_C" >&6
    5138 if test "${ac_cv_file_______libtool+set}" = set; then
    5139   echo $ECHO_N "(cached) $ECHO_C" >&6
    5140 else
    5141   test "$cross_compiling" = yes &&
    5142   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5143 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5144    { (exit 1); exit 1; }; }
    5145 if test -r "../../libtool"; then
    5146   ac_cv_file_______libtool=yes
    5147 else
    5148   ac_cv_file_______libtool=no
    5149 fi
    5150 fi
    5151 echo "$as_me:$LINENO: result: $ac_cv_file_______libtool" >&5
    5152 echo "${ECHO_T}$ac_cv_file_______libtool" >&6
    5153 if test $ac_cv_file_______libtool = yes; then
    5154   coin_config_dir=../..
    5155                  LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
    5156 fi
    5157 
    5158 fi
    5159 # if test "x$LIBTOOL" = x; then
    5160 #   AC_CHECK_FILE([../../../libtool],
    5161 #                 [coin_config_dir=../../..
    5162 #                  LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
    5163 # fi
     5114  if test -r ../../libtool; then
     5115    coin_config_dir=../..
     5116    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     5117  fi
     5118fi
    51645119
    51655120if test "x$LIBTOOL" = x; then
     
    57145669*-*-irix6*)
    57155670  # Find out which ABI we are using.
    5716   echo '#line 5716 "configure"' > conftest.$ac_ext
     5671  echo '#line 5671 "configure"' > conftest.$ac_ext
    57175672  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    57185673  (eval $ac_compile) 2>&5
     
    68486803
    68496804# Provide some information about the compiler.
    6850 echo "$as_me:6850:" \
     6805echo "$as_me:6805:" \
    68516806     "checking for Fortran 77 compiler version" >&5
    68526807ac_compiler=`set X $ac_compile; echo $2`
     
    79157870   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79167871   -e 's:$: $lt_compiler_flag:'`
    7917    (eval echo "\"\$as_me:7917: $lt_compile\"" >&5)
     7872   (eval echo "\"\$as_me:7872: $lt_compile\"" >&5)
    79187873   (eval "$lt_compile" 2>conftest.err)
    79197874   ac_status=$?
    79207875   cat conftest.err >&5
    7921    echo "$as_me:7921: \$? = $ac_status" >&5
     7876   echo "$as_me:7876: \$? = $ac_status" >&5
    79227877   if (exit $ac_status) && test -s "$ac_outfile"; then
    79237878     # The compiler can only warn and ignore the option if not recognized
     
    81838138   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81848139   -e 's:$: $lt_compiler_flag:'`
    8185    (eval echo "\"\$as_me:8185: $lt_compile\"" >&5)
     8140   (eval echo "\"\$as_me:8140: $lt_compile\"" >&5)
    81868141   (eval "$lt_compile" 2>conftest.err)
    81878142   ac_status=$?
    81888143   cat conftest.err >&5
    8189    echo "$as_me:8189: \$? = $ac_status" >&5
     8144   echo "$as_me:8144: \$? = $ac_status" >&5
    81908145   if (exit $ac_status) && test -s "$ac_outfile"; then
    81918146     # The compiler can only warn and ignore the option if not recognized
     
    82878242   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82888243   -e 's:$: $lt_compiler_flag:'`
    8289    (eval echo "\"\$as_me:8289: $lt_compile\"" >&5)
     8244   (eval echo "\"\$as_me:8244: $lt_compile\"" >&5)
    82908245   (eval "$lt_compile" 2>out/conftest.err)
    82918246   ac_status=$?
    82928247   cat out/conftest.err >&5
    8293    echo "$as_me:8293: \$? = $ac_status" >&5
     8248   echo "$as_me:8248: \$? = $ac_status" >&5
    82948249   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82958250   then
     
    1063210587  lt_status=$lt_dlunknown
    1063310588  cat > conftest.$ac_ext <<EOF
    10634 #line 10634 "configure"
     10589#line 10589 "configure"
    1063510590#include "confdefs.h"
    1063610591
     
    1073210687  lt_status=$lt_dlunknown
    1073310688  cat > conftest.$ac_ext <<EOF
    10734 #line 10734 "configure"
     10689#line 10689 "configure"
    1073510690#include "confdefs.h"
    1073610691
     
    1307613031   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1307713032   -e 's:$: $lt_compiler_flag:'`
    13078    (eval echo "\"\$as_me:13078: $lt_compile\"" >&5)
     13033   (eval echo "\"\$as_me:13033: $lt_compile\"" >&5)
    1307913034   (eval "$lt_compile" 2>conftest.err)
    1308013035   ac_status=$?
    1308113036   cat conftest.err >&5
    13082    echo "$as_me:13082: \$? = $ac_status" >&5
     13037   echo "$as_me:13037: \$? = $ac_status" >&5
    1308313038   if (exit $ac_status) && test -s "$ac_outfile"; then
    1308413039     # The compiler can only warn and ignore the option if not recognized
     
    1318013135   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1318113136   -e 's:$: $lt_compiler_flag:'`
    13182    (eval echo "\"\$as_me:13182: $lt_compile\"" >&5)
     13137   (eval echo "\"\$as_me:13137: $lt_compile\"" >&5)
    1318313138   (eval "$lt_compile" 2>out/conftest.err)
    1318413139   ac_status=$?
    1318513140   cat out/conftest.err >&5
    13186    echo "$as_me:13186: \$? = $ac_status" >&5
     13141   echo "$as_me:13141: \$? = $ac_status" >&5
    1318713142   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1318813143   then
     
    1475014705   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1475114706   -e 's:$: $lt_compiler_flag:'`
    14752    (eval echo "\"\$as_me:14752: $lt_compile\"" >&5)
     14707   (eval echo "\"\$as_me:14707: $lt_compile\"" >&5)
    1475314708   (eval "$lt_compile" 2>conftest.err)
    1475414709   ac_status=$?
    1475514710   cat conftest.err >&5
    14756    echo "$as_me:14756: \$? = $ac_status" >&5
     14711   echo "$as_me:14711: \$? = $ac_status" >&5
    1475714712   if (exit $ac_status) && test -s "$ac_outfile"; then
    1475814713     # The compiler can only warn and ignore the option if not recognized
     
    1485414809   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1485514810   -e 's:$: $lt_compiler_flag:'`
    14856    (eval echo "\"\$as_me:14856: $lt_compile\"" >&5)
     14811   (eval echo "\"\$as_me:14811: $lt_compile\"" >&5)
    1485714812   (eval "$lt_compile" 2>out/conftest.err)
    1485814813   ac_status=$?
    1485914814   cat out/conftest.err >&5
    14860    echo "$as_me:14860: \$? = $ac_status" >&5
     14815   echo "$as_me:14815: \$? = $ac_status" >&5
    1486114816   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1486214817   then
     
    1706117016   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1706217017   -e 's:$: $lt_compiler_flag:'`
    17063    (eval echo "\"\$as_me:17063: $lt_compile\"" >&5)
     17018   (eval echo "\"\$as_me:17018: $lt_compile\"" >&5)
    1706417019   (eval "$lt_compile" 2>conftest.err)
    1706517020   ac_status=$?
    1706617021   cat conftest.err >&5
    17067    echo "$as_me:17067: \$? = $ac_status" >&5
     17022   echo "$as_me:17022: \$? = $ac_status" >&5
    1706817023   if (exit $ac_status) && test -s "$ac_outfile"; then
    1706917024     # The compiler can only warn and ignore the option if not recognized
     
    1732917284   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1733017285   -e 's:$: $lt_compiler_flag:'`
    17331    (eval echo "\"\$as_me:17331: $lt_compile\"" >&5)
     17286   (eval echo "\"\$as_me:17286: $lt_compile\"" >&5)
    1733217287   (eval "$lt_compile" 2>conftest.err)
    1733317288   ac_status=$?
    1733417289   cat conftest.err >&5
    17335    echo "$as_me:17335: \$? = $ac_status" >&5
     17290   echo "$as_me:17290: \$? = $ac_status" >&5
    1733617291   if (exit $ac_status) && test -s "$ac_outfile"; then
    1733717292     # The compiler can only warn and ignore the option if not recognized
     
    1743317388   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1743417389   -e 's:$: $lt_compiler_flag:'`
    17435    (eval echo "\"\$as_me:17435: $lt_compile\"" >&5)
     17390   (eval echo "\"\$as_me:17390: $lt_compile\"" >&5)
    1743617391   (eval "$lt_compile" 2>out/conftest.err)
    1743717392   ac_status=$?
    1743817393   cat out/conftest.err >&5
    17439    echo "$as_me:17439: \$? = $ac_status" >&5
     17394   echo "$as_me:17394: \$? = $ac_status" >&5
    1744017395   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1744117396   then
     
    2014720102
    2014820103  case $build in
     20104    *x86_64-*)
     20105# Here we need to check if -m32 is specified.  If so, we need to correct sys_lib_search_path_spec
     20106      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     20107        { echo "$as_me:$LINENO: Applying patches to libtool for 32bit compilation" >&5
     20108echo "$as_me: Applying patches to libtool for 32bit compilation" >&6;}
     20109        sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="/lib /usr/lib"|' libtool > conftest.bla
     20110        mv conftest.bla libtool
     20111        chmod 755 libtool
     20112      fi
     20113      ;;
    2014920114    *-cygwin* | *-mingw*)
    2015020115    case "$CXX" in
     
    2182221787
    2182321788if test "$use_asldir" = BUILD; then
    21824   as_ac_File=`echo "ac_cv_file_$coin_aslobjdir/Makefile" | $as_tr_sh`
    21825 echo "$as_me:$LINENO: checking for $coin_aslobjdir/Makefile" >&5
    21826 echo $ECHO_N "checking for $coin_aslobjdir/Makefile... $ECHO_C" >&6
    21827 if eval "test \"\${$as_ac_File+set}\" = set"; then
    21828   echo $ECHO_N "(cached) $ECHO_C" >&6
    21829 else
    21830   test "$cross_compiling" = yes &&
    21831   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    21832 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    21833    { (exit 1); exit 1; }; }
    21834 if test -r "$coin_aslobjdir/Makefile"; then
    21835   eval "$as_ac_File=yes"
    21836 else
    21837   eval "$as_ac_File=no"
    21838 fi
    21839 fi
    21840 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
    21841 echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
    21842 if test `eval echo '${'$as_ac_File'}'` = yes; then
    21843   :
    21844 else
    21845   { { echo "$as_me:$LINENO: error: option \"BUILD\" specified for asldir, but directory is not configure (sources missing?)" >&5
     21789  if test "$PACKAGE_NAME" != ThirdPartyASL; then
     21790    # If we are configuring ThirdParty/ASL, don't check
     21791    if test -r $coin_aslobjdir/.MakeOk; then :; else
     21792      { { echo "$as_me:$LINENO: error: option \"BUILD\" specified for asldir, but directory is not configure (sources missing?)" >&5
    2184621793echo "$as_me: error: option \"BUILD\" specified for asldir, but directory is not configure (sources missing?)" >&2;}
    2184721794   { (exit 1); exit 1; }; }
    21848 fi
    21849 
     21795    fi
     21796  fi
    2185021797elif test -z "$use_asldir"; then
    2185121798 # try to find sources - if not given don't compile
    21852   as_ac_File=`echo "ac_cv_file_$coin_aslobjdir/Makefile" | $as_tr_sh`
    21853 echo "$as_me:$LINENO: checking for $coin_aslobjdir/Makefile" >&5
    21854 echo $ECHO_N "checking for $coin_aslobjdir/Makefile... $ECHO_C" >&6
    21855 if eval "test \"\${$as_ac_File+set}\" = set"; then
    21856   echo $ECHO_N "(cached) $ECHO_C" >&6
    21857 else
    21858   test "$cross_compiling" = yes &&
    21859   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    21860 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    21861    { (exit 1); exit 1; }; }
    21862 if test -r "$coin_aslobjdir/Makefile"; then
    21863   eval "$as_ac_File=yes"
    21864 else
    21865   eval "$as_ac_File=no"
    21866 fi
    21867 fi
    21868 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
    21869 echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
    21870 if test `eval echo '${'$as_ac_File'}'` = yes; then
    21871   use_asldir=BUILD
    21872 else
    21873   use_asldir=no
    21874 fi
    21875 
     21799  if test "$PACKAGE_NAME" != ThirdPartyASL; then
     21800    if test -r $coin_aslobjdir/.MakeOk; then
     21801      use_asldir=BUILD
     21802    else
     21803      use_asldir=no
     21804    fi
     21805  else
     21806    use_asldir=no
     21807  fi
    2187621808elif test "$use_asldir" != "no"; then
    2187721809  as_ac_File=`echo "ac_cv_file_$use_asldir/$ampllib" | $as_tr_sh`
     
    2209822030# Finally, we let configure write all the output...
    2209922031
    22100 FADDLIBS="$ADDLIBS"
    22101 if test x"$coin_need_flibs" = xyes; then
    22102   ADDLIBS="$ADDLIBS $FLIBS"
    22103 fi
    22104 
    22105 # library extension
    22106 
    22107 case "$CC" in
    22108   cl* | */cl* | CL* | */CL*)
    22109        LIBEXT=lib ;;
    22110     *) LIBEXT=a ;;
    22111 esac
    22112 
    22113 # Define VPATH_DISTCLEANFILES to be everything that needs to be
    22114 # cleaned for distclean in a vpath configuration
    22115 
    22116 VPATH_DISTCLEANFILES="$coin_vpath_link_files"
    22117 
    22118 cat >confcache <<\_ACEOF
     22032if test x$coin_skip_ac_output != xyes; then
     22033
     22034  FADDLIBS="$ADDLIBS"
     22035  if test x"$coin_need_flibs" = xyes; then
     22036    ADDLIBS="$ADDLIBS $FLIBS"
     22037  fi
     22038
     22039  # library extension
     22040
     22041  case "$CC" in
     22042    cl* | */cl* | CL* | */CL*)
     22043         LIBEXT=lib ;;
     22044      *) LIBEXT=a ;;
     22045  esac
     22046
     22047  # Define VPATH_DISTCLEANFILES to be everything that needs to be
     22048  # cleaned for distclean in a vpath configuration
     22049
     22050  VPATH_DISTCLEANFILES="$coin_vpath_link_files"
     22051
     22052  # Take out subdirectories if their configuration concluded that they
     22053  # don't need to be compiled
     22054  if test x"$coin_ac_skip_subdirs" != x; then
     22055    new_subdirs=
     22056    for i in $subdirs; do
     22057      skipme=no
     22058      for j in $coin_ac_skip_subdirs; do
     22059        if test $i = $j; then
     22060          skipme=yes;
     22061        fi
     22062      done
     22063      if test $skipme = no; then
     22064        new_subdirs="$new_subdirs $i"
     22065      fi
     22066    done
     22067    subdirs="$new_subdirs"
     22068  fi
     22069
     22070  cat >confcache <<\_ACEOF
    2211922071# This file is a shell script that caches the results of configure
    2212022072# tests run on this system so they can be shared between configure
     
    2377923731
    2378023732
    23781 if test x"$coin_vpath_link_files" = x; then : ; else
    23782   lnkcmd=
    23783   if test "$enable_doscompile" = yes; then
    23784     lnkcmd=cp
    23785   fi
    23786   case "$CC" in
    23787     cl* | */cl* | CL* | */CL*)
    23788       lnkcmd=cp ;;
    23789   esac
    23790   if test "$lnkcmd" = cp; then
    23791     { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
     23733  if test x"$coin_vpath_link_files" = x; then : ; else
     23734    lnkcmd=
     23735    if test "$enable_doscompile" = yes; then
     23736      lnkcmd=cp
     23737    fi
     23738    case "$CC" in
     23739      cl* | */cl* | CL* | */CL*)
     23740        lnkcmd=cp ;;
     23741    esac
     23742    if test "$lnkcmd" = cp; then
     23743      { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
    2379223744echo "$as_me: Copying data files for VPATH configuration" >&6;}
    23793   else
    23794     echo "$as_me:$LINENO: checking whether ln -s works" >&5
     23745    else
     23746      echo "$as_me:$LINENO: checking whether ln -s works" >&5
    2379523747echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
    2379623748LN_S=$as_ln_s
     
    2380323755fi
    2380423756
    23805     { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     23757      { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    2380623758echo "$as_me: Creating VPATH links for data files" >&6;}
    23807     lnkcmd="$LN_S"
    23808   fi
    23809   for file in $coin_vpath_link_files; do
    23810     dir=`(dirname "./$file") 2>/dev/null ||
     23759      lnkcmd="$LN_S"
     23760    fi
     23761    for file in $coin_vpath_link_files; do
     23762      dir=`(dirname "./$file") 2>/dev/null ||
    2381123763$as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    2381223764         X"./$file" : 'X\(//\)[^/]' \| \
     
    2382023772          /^X\(\/\).*/{ s//\1/; q; }
    2382123773          s/.*/./; q'`
    23822     if test -d $dir; then : ; else
    23823       { if $as_mkdir_p; then
     23774      if test -d $dir; then : ; else
     23775        { if $as_mkdir_p; then
    2382423776    mkdir -p $dir
    2382523777  else
     
    2384623798   { (exit 1); exit 1; }; }; }
    2384723799
    23848     fi
    23849     rm -f $file
    23850     $lnkcmd $abs_source_dir/$file $file
    23851   done
    23852 fi
    23853 
    23854 if test x$coin_projectdir = xyes; then
    23855   { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
     23800      fi
     23801      rm -f $file
     23802      $lnkcmd $abs_source_dir/$file $file
     23803    done
     23804  fi
     23805
     23806  if test x$coin_projectdir = xyes; then
     23807    { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
    2385623808echo "$as_me: Configuration of $PACKAGE_NAME successful" >&6;}
    23857 else
    23858   { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
     23809  else
     23810    { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
    2385923811echo "$as_me: Main configuration of $PACKAGE_NAME successful" >&6;}
    23860 fi
    23861 
     23812  fi
     23813else
     23814  { echo "$as_me:$LINENO: No configuration of $PACKAGE_NAME necessary" >&5
     23815echo "$as_me: No configuration of $PACKAGE_NAME necessary" >&6;}
     23816fi
     23817
     23818
Note: See TracChangeset for help on using the changeset viewer.